
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='STRICT_TRANS_TABLES';
DELIMITER //
DROP PROCEDURE IF EXISTS tmp_ins_testdata;
//
CREATE DEFINER = CURRENT_USER PROCEDURE tmp_ins_testdata( IN p_counters INT)
proc: BEGIN

    /* declare and initialise variables */
    DECLARE v_counter INT DEFAULT 0;
    DECLARE v_randomId INT DEFAULT 0;
    DECLARE v_maxRandomRows INT DEFAULT 50;
    DECLARE v_rows INT DEFAULT 10;
    DECLARE v_name VARCHAR(100);
    DECLARE v_description VARCHAR(100);

    /* insert data */
    loop1: LOOP
      SET v_name := CONCAT('counterName', v_counter);
      SET v_description := CONCAT('counterDescription', v_counter);
      SET v_rows := FLOOR( RAND() * v_maxRandomRows ) + 1;

      CALL counter_setup(v_name, v_description, v_rows, 0);

      SET v_counter := v_counter + 1;
      IF v_counter = p_counters THEN
          LEAVE loop1;
      END IF;

    END LOOP loop1;

END //
DELIMITER ;

/* restore the original sql_mode */
SET sql_mode=@OLD_SQL_MODE;

/* insert the data */
TRUNCATE TABLE counters;
SET @counters = 1500;
CALL tmp_ins_testdata(@counters);
DROP PROCEDURE IF EXISTS tmp_ins_testdata;
/* show the new table content */
SELECT count(1) AS `Rows inserted`, FLOOR(count(1)/@counters) AS 'Avg. rows per counter' FROM counters;
ANALYZE TABLE counters;
SHOW TABLE STATUS LIKE 'counters'\G
